- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns information about a BuildTrigger.
Note: This method only gets triggers in the "global" region when using the legacy resource path projects/{projectId}/triggers/{triggerId}. For all regions, use the regional resource path: projects/{projectId}/locations/{location}/triggers/{triggerId}.
HTTP request
GET https://cloudbuild.googleapis.com/v1/projects/{projectId}/triggers/{triggerId} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. ID of the project that owns the trigger. |
triggerId |
Required. Identifier ( |
Query parameters
| Parameters | |
|---|---|
name |
The name of the Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of BuildTrigger.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.